defmodule Frenzy.Pipeline.Extractor.FiveTwelvePixels do
  @moduledoc """
  Extractor for https://512pixels.net
  """

  alias Frenzy.Pipeline.Extractor
  @behaviour Extractor

  @impl Extractor
  def extract(html_tree) do
    case Floki.find(html_tree, ".entry-content") do
      [content_elem | _] ->
        {:ok, content_elem}

      _ ->
        {:error, "no matching elements"}
    end
  end
end
