defmodule Frenzy.Repo.Migrations.CreateFilters do
  use Ecto.Migration

  def change do
    create table(:filters) do
      add :mode, :string
      add :score, :integer
      add :rules, :map
      add :feed_id, references(:feeds, on_delete: :delete_all)

      timestamps()
    end

    # create index(:rules, [:filter])
  end
end
