defmodule Frenzy.Repo.Migrations.CreateRules do
  use Ecto.Migration

  def change do
    create table(:rules) do
      add :mode, :string
      add :property, :string
      add :param, :string
      add :weight, :integer
      add :filter_id, references(:filters, on_delete: :delete_all)

      timestamps()
    end
  end
end
