defmodule Frenzy.Repo.Migrations.CreateApprovedClients do
  use Ecto.Migration

  def change do
    create table(:approved_clients) do
      add :client_id, :string
      add :auth_code, :string
      add :access_token, :string

      add :user_id, references(:users, on_delete: :delete_all)

      timestamps()
    end
  end
end
