defmodule Frenzy.Repo.Migrations.CreatePipelines do
  use Ecto.Migration

  def change do
    create table(:pipelines) do
      add :name, :string
      add :stages, :jsonb, null: false, default: "[]"

      add :user_id, references(:users)

      timestamps()
    end
  end
end
