defmodule FrenzyWeb.GroupView do
  use FrenzyWeb, :view
  import Phoenix.Controller, only: [current_path: 1]

  def title(:index, _) do
    "Groups"
  end

  def title(:show, %{group: %Frenzy.Group{title: title}}) do
    title
  end

  def title(:edit, %{group: %Frenzy.Group{title: title}}) do
    "Edit #{title}"
  end

  def title(:read, %{group: %Frenzy.Group{title: title}}) do
    "Read #{title}"
  end
end
