defmodule Frenzy.Repo.Migrations.CreatePipelineStages do
  use Ecto.Migration

  def change do
    create table(:pipeline_stages) do
      add :index, :integer
      add :module_name, :string
      add :options, :jsonb, null: false, default: "{}"
      add :feed_id, references(:feeds, on_delete: :delete_all)

      timestamps()
    end
  end
end
