defmodule Frenzy.Repo.Migrations.FeedsAddRefreshFrequency do
  use Ecto.Migration

  def change do
    alter table(:feeds) do
      add :last_refreshed_at, :naive_datetime, default: nil
      add :refresh_frequency, :integer, default: 30 * 60
    end
  end
end
